{% extends "bootstrap/base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}
{{page.layout.title}} | {{page.title}}
{% endblock %}


{% block styles %}
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" href="/static/img/favicon.ico">
  <link rel="stylesheet" href="/static/css/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="/static/css/assets/axolotl.min.css">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
{% endblock %}

{% block content %}
<body class="hold-transition login-page">
<div class="login-box">
  <div class="card">
    <div class="card-body login-card-body">
      <div class="login-logo">
        <img src="/static/img/logo.png" alt="Yootel Logo" width="300" height="100">
      </div>
      <p class="login-box-msg">Request membership</p>
      {% if message.error != None %}
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h5><i class="icon fas fa-ban"></i> Alert!</h5>
        {{message.error}}
      </div>
      {% endif %}
      {% if message.success != None %}
      <div class="alert alert-success alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h5><i class="icon fas fa-check"></i> Alert!</h5>
        {{message.success}}
      </div>
      {% endif %}
      <form method="POST">
        {{ request_membership_form.hidden_tag() }}
        <div class="row">
          <div class="input-group mb-3">
            {{ request_membership_form.username(class="form-control", placeholder="Username") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-user"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group mb-3">
            {{ request_membership_form.first_name(class="form-control", placeholder="First name") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-signature"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group mb-3">
            {{ request_membership_form.last_name(class="form-control", placeholder="Last name") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-signature"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group mb-3">
            {{ request_membership_form.email(class="form-control", placeholder="Email") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-envelope"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group mb-3">
              {{ request_membership_form.country_code(class="form-control") }}
              {{ request_membership_form.number(class="form-control", placeholder="Number") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-phone"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group mb-3">
            {{ request_membership_form.organism(class="form-control", placeholder="Organism") }}
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-building"></span>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="icheck-primary">
              {{ request_membership_form.agreement() }}
              <label for="agreement">
                I agree the <a href="/terms">terms</a>
              </label>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" class="btn btn-primary btn-block">Send request</button>
          </div>
        </div>
      </form>
      <p class="mb-1">
        <a href="/login">Login page</a>
      </p>
    </div>
  </div>
</div>
<center>
  <strong>{{page.layout.copyright}}</strong><br>
  {{page.layout.name}} by <a href="{{page.layout.company_website}}">{{page.layout.company_name}}</a>.
</center>

{% endblock %}

{% block scripts %}
<script src="/static/js/plugins/jquery.min.js"></script>
<script src="/static/js/plugins/bootstrap.bundle.min.js"></script>
<script src="/static/js/assets/axolotl.min.js"></script>
{% endblock scripts %}

